# Bot files

> Botyard REST API endpoints for bot files.

Canonical URL: https://docs.botyard.io/docs/api/bot-files

5 endpoints in this group. Every request authenticates with an
[API key](/docs/api/authentication); see the [API reference](/docs/api) for the other groups.

* [List Bot Files](/docs/api/bot-files/list_bot_files_v1_orgs__org_id__bots__bot_slug__files_get): `GET /v1/orgs/{org_id}/bots/{bot_slug}/files`
* [Update Bot Files](/docs/api/bot-files/update_bot_files_v1_orgs__org_id__bots__bot_slug__files_put): `PUT /v1/orgs/{org_id}/bots/{bot_slug}/files`
* [Get Bot File](/docs/api/bot-files/get_bot_file_v1_orgs__org_id__bots__bot_slug__files__file_type__get): `GET /v1/orgs/{org_id}/bots/{bot_slug}/files/{file_type}`
* [Get Bot File History](/docs/api/bot-files/get_bot_file_history_v1_orgs__org_id__bots__bot_slug__files__file_type__history_get): `GET /v1/orgs/{org_id}/bots/{bot_slug}/files/{file_type}/history`
* [Rollback Bot File](/docs/api/bot-files/rollback_bot_file_v1_orgs__org_id__bots__bot_slug__files__file_type__rollback_post): `POST /v1/orgs/{org_id}/bots/{bot_slug}/files/{file_type}/rollback`
